Bug 73626 - requires & provides should be intersected!
requires & provides should be intersected!
Product: Red Hat Linux
Classification: Retired
Component: rpm-build (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 2002-09-06 21:01 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-09-17 16:53:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-09-06 21:01:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0)

Description of problem:
when packaging a series of perl modules, rpm-build finds dependencies and 
generates a list of modules provided and modules required.  a module should not 
BOTH be required and provided.  if it is provided it should not be required.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. have a perl script "use" a module
2. have that module included in an rpm
3. look at --requires

Additional info:

it would be useful for this form to request a version number!  I'm running 
4.0.4-7x of rpm-build
Comment 1 Jeff Johnson 2002-09-17 16:43:14 EDT
Actually there are (or will be shortly) reasons to
have both provides and matching requires in the
same package. Meanwhile, the overhead is minimal,
so there's little reason to fix.
Comment 2 Need Real Name 2002-09-17 16:53:41 EDT
if a package requires something that it provides, it fails to install, and that 
is NO good.
Comment 3 Jeff Johnson 2002-09-18 09:47:03 EDT
You are mistaken.

Note You need to log in before you can comment on or make changes to this bug.